Retrieve a clause block
curl --request GET \
--url https://app.myhero.so/clause-reference/get-clause/{clauseReferenceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.myhero.so/clause-reference/get-clause/{clauseReferenceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.myhero.so/clause-reference/get-clause/{clauseReferenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"clauseBlockResults": [
{
"_id": "<string>",
"properties": {
"attributes": {},
"content": [
{
"id": "<string>",
"type": "<string>",
"text": "<string>",
"marks": [
{
"type": "<string>",
"attributes": {}
}
]
}
],
"marks": [
{
"type": "<string>",
"attributes": {}
}
]
},
"nodeId": "<string>",
"userId": "<string>",
"projectId": "<string>",
"workspaceId": "<string>",
"createdAt": 123,
"updatedAt": 123,
"originId": "<string>",
"parentId": "<string>",
"isDeleted": false
}
],
"clauseReferenceRecord": {
"_id": "<string>",
"blockId": "<string>",
"documentId": "<string>",
"workspaceId": "<string>",
"hierarchy": "<string>",
"createdAt": 123,
"updatedAt": 123,
"originId": "<string>",
"isDeleted": false
}
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"data": {
"clauseBlockResults": [
{
"_id": "<string>",
"properties": {
"attributes": {},
"content": [
{
"id": "<string>",
"type": "<string>",
"text": "<string>",
"marks": [
{
"type": "<string>",
"attributes": {}
}
]
}
],
"marks": [
{
"type": "<string>",
"attributes": {}
}
]
},
"nodeId": "<string>",
"userId": "<string>",
"projectId": "<string>",
"workspaceId": "<string>",
"createdAt": 123,
"updatedAt": 123,
"originId": "<string>",
"parentId": "<string>",
"isDeleted": false
}
],
"clauseReferenceRecord": {
"_id": "<string>",
"blockId": "<string>",
"documentId": "<string>",
"workspaceId": "<string>",
"hierarchy": "<string>",
"createdAt": 123,
"updatedAt": 123,
"originId": "<string>",
"isDeleted": false
}
}
}Clauses
Retrieve a clause block
Looks up the clause block associated with a clause reference, first by block ID and then by the reference’s hierarchy string.
Returns the clauseBlockResults array and the clauseReferenceRecord.
Responds with HTTP 404 when the block is not found but still includes a placeholder entry with isNotFound: true.
GET
/
clause-reference
/
get-clause
/
{clauseReferenceId}
Retrieve a clause block
⌘I